Subject: [AVT] Update (-10) of Timed Tex draft

From: "Rey Jose" <[email-masked]>
Date: Tue, 18 Jan 2005 12:39:12 +0100

Hi, 

> I think the text proposal you have in the email looks great. 
> The alignment was in regards to my proposed text, not 
> anything in your draft. When I wrote the suggested text I 
> didn't take the time to ensure that all of my text was using 
> exactly the drafts terms.

Great! Here is the update number 10. I went throught the text once more and fixed some nits.  

Just sent it out to ID manager, should come out soon. As usual, until publication it can be found under:
http://www.prdcg.panasonic.de/ietf/docs/draft-ietf-avt-rtp-3gpp-timed-text-10.txt

I would like it to be considered for WGLC,

Thanks,

José

> -----Original Message-----
> From: Magnus Westerlund [mailto:[email-masked]] 
> Sent: Tuesday, January 18, 2005 8:48 AM
> To: Rey Jose
> Cc: IETF AVT WG
> Subject: Re: Update (-09) of Timed Tex draft (WAS: RE: 
> Comments on draft-ietf-avt-rtp-3gpp-timed-text-08.txt)
> 
> Hi Jose,
> 
> I think the text proposal you have in the email looks great. 
> The alignment was in regards to my proposed text, not 
> anything in your draft. When I wrote the suggested text I 
> didn't take the time to ensure that all of my text was using 
> exactly the drafts terms.
> 
> So fire away with a new version
> 
> Cheers
> 
> Magnus
> 
> Rey Jose wrote:
> > Magnus,
> > 
> > -cut-
> > 
> > ..B. If SIDX=Z is not stored, then store the sample
> > 
> >>description. Go to beginning of step 4 (wait state).
> >>C. Else go to the beginning of step 4 (wait state).
> >>
> >>--- END of Alg ---
> >>
> > 
> > Yes, it is  more clear this way.  I have further improved 
> it and included it in the new draft. Specially the last part 
> was improved (items 4.b.i, 4.b.ii):
> > 
> > "Let X be the last SIDX received that updated the range of 
> valid sample descriptions.  Let Y be a value within the 
> allowed range for dynamic SIDX: [0,127], and different from 
> X. Let Z be the SIDX of the last received sample description.  Then:
> > 
> > 1.	Initialize all dynamic SIDX values as inactive.  For stored
> > contents, read the sample description index in the Sample 
> to Chunk box ("stsc") for that sample.  For live streaming, 
> the first value MAY be zero or any other value in the 
> interval above.  Go to step 2.
> > 
> > 2.	First in-band sample description with SIDX=Z is 
> received and stored, Set X=Z. Go to step 3.
> > 
> > 3.	Any SIDX within the interval [X+1 modulo(128), X+64 
> modulo(128)] is marked as inactive and any corresponding 
> sample description is deleted. Any SIDX within the interval 
> [X+65 modulo(128), X] is set active. Go to step 4 (wait state).
> > 
> > 4.	Wait for next sample description.  Once the client is 
> initialized, the interval of active SIDX values MUST change 
> whenever a sample description with an SIDX value in the 
> inactive set is received.  I.e., upon reception of a sample 
> description with SIDX=Z do:
> > 
> > a.	If Z is in the (closed) interval [X+1 modulo(128), X+64 
> modulo(128)] then set X=Z, store the sample description and 
> go to step 3.
> > 
> > b.	Else Z must be in the interval [X+65 modulo(128), X], thus:
> > i.	If SIDX=Z is not stored, then store the sample 
> description. Go to beginning of step 4 (wait state).
> > ii.	Else go to the beginning of step 4 (wait state)."
> > 
> > -cut-
> > 
> > 
> >>--- End of proposal ---
> >>I would suggest that you go through the text and fix 
> language errors. 
> >>There is most probably need for better word alignment and usage of 
> >>terms. However I do hope you get the idea of the problem and my 
> >>suggest solution.
> > 
> > 
> > I think so... I have aligned the normative language and 
> rephrased here and there. The normative language in last 
> items a) and b) with  could be a problem maybe ? (not sure I 
> understood your reasoning from preivous email):
> > 
> > "o	SIDX from the Sample to Chunk Box (stsc): the stsc Box 
> is used to find samples and their corresponding sample 
> descriptions.  These are referenced by the "sample 
> description index", a (unsigned) 32-bit integer.  If 
> possible, these indices may be directly mapped to the SIDX 
> field.  However, there are several cases where this may not 
> be possible:
> > 
> > a) The total number of indices used is greater than the 
> number of indices available, i. e., for static ones more than 
> 127 and for dynamic ones more than 64 or, 
> > 
> > b) The original SIDX value ranges do not fit in the allowed 
> ranges for static (129-254) or dynamic (0-127) values.
> > 
> > Therefore, when assigning SIDX values to the sample 
> descriptions, the following guidelines are provided:
> > 
> > o	Static sample descriptions can simply be assigned 
> consecutive values within the range 129-254 (closed 
> interval).  This range should be well enough for static 
> sample descriptions.
> > 
> > o	As for dynamic sample descriptions:
> > 
> > a) Streams that use less than 64 dynamic sample 
> descriptions SHOULD use consecutive values for SIDX anywhere 
> in the range 0-127 (closed interval).  
> > 
> > b) For streams with more than 64 sample descriptions, the 
> SIDX values MUST be assigned in usage order, and if any 
> sample description shall be used after it has been set 
> inactive, it will need to be re-sent and assigned a new SIDX 
> value (according to the algorithm in Section 4.1.6.1). "
> > 
> > 
> > Please feed me back on the issue of the normative language 
> above and I'll send out the draft right away.
> > 
> > Thanks,
> > 
> > ---------------------------------------------
> > Jose Rey              mailto:[email-masked]
> > P R D C G - Panasonic R&D Center Germany GmbH
> > Phone/Fax: +49(0)6103766-134/166
> > --------------------------------------------- 
> > 
> > 
> > 
> > 
> >>Cheers
> >>
> >>Magnus Westerlund
> >>
> >>Multimedia Technologies, Ericsson Research EAB/TVA/A
> >>------------------------------------------------------------
> ----------
> >>Ericsson AB                | Phone +46 8 4048287
> >>Torshamsgatan 23           | Fax   +46 8 7575550
> >>S-164 80 Stockholm, Sweden | mailto: [email-masked]
> >>
> >>
> > 
> > 
> > 
> 
> 
> -- 
> 
> Magnus Westerlund
> 
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> 
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt